JavaScript/jQuery Sankey - JSON Data

To bind the Sankey to data in a JSON format, assign the data's URL to the dataSource property.

index.js
  • $(function() {
  • $("#sankeyContainer").dxSankey({
  • dataSource: "http://www.example.com/dataservices/data.json",
  • // ...
  • });
  • });

Note that you can also use a JSONP callback parameter.

index.js
  • $(function() {
  • $("#sankeyContainer").dxSankey({
  • dataSource: "http://www.example.com/dataservices/jsonpdata?callback=?",
  • // ...
  • });
  • });

You should implement the CustomStore if you need to process data after obtaining it. Refer to the Custom Sources topic for more information.

See Also

Angular Sankey - JSON Data

To bind the Sankey to data in a JSON format, assign the data's URL to the dataSource property.

app.component.html
app.module.ts
  • <dx-sankey dataSource="http://www.example.com/dataservices/data.json">
  • <!-- ... -->
  • </dx-sankey>
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxSankeyModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxSankeyModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

Note that you can also use a JSONP callback parameter.

app.component.html
app.module.ts
  • <dx-sankey dataSource="http://www.example.com/dataservices/jsonpdata?callback=?">
  • <!-- ... -->
  • </dx-sankey>
  • import { BrowserModule } from '@angular/platform-browser';
  • import { NgModule } from '@angular/core';
  • import { AppComponent } from './app.component';
  •  
  • import { DxSankeyModule } from 'devextreme-angular';
  •  
  • @NgModule({
  • declarations: [
  • AppComponent
  • ],
  • imports: [
  • BrowserModule,
  • DxSankeyModule
  • ],
  • providers: [ ],
  • bootstrap: [AppComponent]
  • })
  • export class AppModule { }

You should implement the CustomStore if you need to process data after obtaining it. Refer to the Custom Sources topic for more information.

See Also